Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt

Use this file to discover all available pages before exploring further.

For the following example to work, save your API key to the NEBIUS_API_KEY environment variable. Request:
import os
from openai import OpenAI

client = OpenAI(
    base_url="https://api.tokenfactory.nebius.com/v1/",
    api_key=os.environ.get("NEBIUS_API_KEY"),
)

client.models.list()
{
  "object": "list",
  "data": [
    {
      "id": 'meta-llama/Meta-Llama-3.1-8B-Instruct',
      "object": "model",
      "created": 1724480826,
      "owned_by": 'system'
    },
    {
      "id": 'meta-llama/Meta-Llama-3.1-70B-Instruct',
      "object": "model",
      "created": 1724480826,
      "owned_by": 'system'
    },
  ],
  "object": "list"
}
For detailed field descriptions, see the API reference.

Specific model parameter

  1. Install jq if you do not have it.
  2. Get the model ID: in the Models page, next to the model, click → Copy model ID.
  3. Copy the name of the required parameter. See the list of available parameters in the RichModel schema in the API reference.
  4. Add the values to the following request:
   curl -s 'https://api.tokenfactory.nebius.com/v1/models?verbose=true' \
     -H "Authorization: Bearer $NEBIUS_API_KEY" \
     -H 'accept: application/json' \
     -X GET | jq '.data[] | select(.id == "<model_ID>") | .<parameter_name>'